#ifndef _WINDOW_H_
#define _WINDOW_H_

#include <QtGui/QWidget>
#include "dockmanagerinterface.h"
#include "dockiteminterface.h"

class QTreeWidget;
class QDBusServiceWatcher;

class Window : public QWidget
{
    Q_OBJECT
public:
    Window();

public Q_SLOTS:
    void getCapabilities();
    void getItems();
    void setBadge();
    void setIcon();
    void setOverlay();
    void serviceOwnerChanged(const QString &name, const QString &oldOwner, const QString &newOwner);

private:
    net::launchpad::DockItem * getCurrentItem();

private:
    QTreeWidget *treeWidget;
    net::launchpad::DockManager *dockManagerInterface;
    QMap<QString, net::launchpad::DockItem *> dockItems;
    QDBusServiceWatcher *watcher;
};

#endif
